<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>DipPublicationImpBase (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DipPublicationImpBase (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DipPublicationImpBase.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">cern.dip.implementation</a></div>
<h2 title="Class DipPublicationImpBase" class="title">Class DipPublicationImpBase</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="FactoryProduct.html" title="class in cern.dip.implementation">cern.dip.implementation.FactoryProduct</a></li>
<li>
<ul class="inheritance">
<li>cern.dip.implementation.DipPublicationImpBase</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="DipPublicationImp.html" title="class in cern.dip.implementation">DipPublicationImp</a></code>, <code><a href="../mock/MockDipPublication.html" title="class in cern.dip.mock">MockDipPublication</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">DipPublicationImpBase</span>
extends <a href="FactoryProduct.html" title="class in cern.dip.implementation">FactoryProduct</a>
implements <a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#name">name</a></span></code></th>
<td class="colLast">
<div class="block">Name of the publication</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.cern.dip.implementation.FactoryProduct">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;cern.dip.implementation.<a href="FactoryProduct.html" title="class in cern.dip.implementation">FactoryProduct</a></h3>
<code><a href="FactoryProduct.html#destroyed">destroyed</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">DipPublicationImpBase</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected abstract <a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFactory()">getFactory</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTopicName()">getTopicName</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns Name of the publication.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(boolean%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(boolean[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(boolean,cern.dip.DipTimestamp)">send</a></span>&#8203;(boolean&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(byte%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(byte[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(byte,cern.dip.DipTimestamp)">send</a></span>&#8203;(byte&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(double%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(double[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(double,cern.dip.DipTimestamp)">send</a></span>&#8203;(double&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(float%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(float[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(float,cern.dip.DipTimestamp)">send</a></span>&#8203;(float&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(int%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(int[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(int,cern.dip.DipTimestamp)">send</a></span>&#8203;(int&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(long%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(long[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(long,cern.dip.DipTimestamp)">send</a></span>&#8203;(long&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(short%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(short[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(short,cern.dip.DipTimestamp)">send</a></span>&#8203;(short&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(java.lang.String%5B%5D,cern.dip.DipTimestamp)">send</a></span>&#8203;(java.lang.String[]&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#send(java.lang.String,cern.dip.DipTimestamp)">send</a></span>&#8203;(java.lang.String&nbsp;value,
    <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">
<div class="block">Sends publication data</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>protected abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#sendData(cern.dip.DipData,cern.dip.DipTimestamp)">sendData</a></span>&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;data,
        <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.cern.dip.implementation.FactoryProduct">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;cern.dip.implementation.<a href="FactoryProduct.html" title="class in cern.dip.implementation">FactoryProduct</a></h3>
<code><a href="FactoryProduct.html#isDestroyed()">isDestroyed</a>, <a href="FactoryProduct.html#setDestroyed()">setDestroyed</a>, <a href="FactoryProduct.html#validate()">validate</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.cern.dip.DipPublication">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;cern.dip.<a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></h3>
<code><a href="../DipPublication.html#send(cern.dip.DipData,cern.dip.DipTimestamp)">send</a>, <a href="../DipPublication.html#send(cern.dip.DipData,cern.dip.DipTimestamp,int,java.lang.String)">send</a>, <a href="../DipPublication.html#setQualityBad()">setQualityBad</a>, <a href="../DipPublication.html#setQualityBad(java.lang.String)">setQualityBad</a>, <a href="../DipPublication.html#setQualityUncertain()">setQualityUncertain</a>, <a href="../DipPublication.html#setQualityUncertain(java.lang.String)">setQualityUncertain</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="name">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>name</h4>
<pre>protected&nbsp;java.lang.String name</pre>
<div class="block">Name of the publication</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DipPublicationImpBase</h4>
<pre>public&nbsp;DipPublicationImpBase()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFactory</h4>
<pre class="methodSignature">protected abstract&nbsp;<a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a>&nbsp;getFactory()</pre>
</li>
</ul>
<a id="sendData(cern.dip.DipData,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendData</h4>
<pre class="methodSignature">protected abstract&nbsp;void&nbsp;sendData&#8203;(<a href="../DipData.html" title="interface in cern.dip">DipData</a>&nbsp;data,
                                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
                          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="getTopicName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTopicName</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getTopicName()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#getTopicName()">DipPublication</a></code></span></div>
<div class="block">Returns Name of the publication.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#getTopicName()">getTopicName</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
</dl>
</li>
</ul>
<a id="send(double,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(double&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(double,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(double,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(double[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(double[]&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(double%5B%5D,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(double%5B%5D,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(short,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(short&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(short,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(short,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(short[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(short[]&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(short%5B%5D,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(short%5B%5D,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(int,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(int&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(int,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(int,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(int[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(int[]&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(int%5B%5D,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(int%5B%5D,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(float,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(float&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(float,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(float,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(float[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(float[]&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(float%5B%5D,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(float%5B%5D,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(long,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(long&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(long,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(long,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(long[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(long[]&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(long%5B%5D,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(long%5B%5D,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(byte,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(byte&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(byte,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(byte,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(byte[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(byte[]&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(byte%5B%5D,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(byte%5B%5D,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(boolean,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(boolean&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(boolean,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(boolean,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(boolean[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(boolean[]&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(boolean%5B%5D,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(boolean%5B%5D,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(java.lang.String,cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(java.lang.String&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(java.lang.String,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(java.lang.String,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
<a id="send(java.lang.String[],cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>send</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;send&#8203;(java.lang.String[]&nbsp;value,
                 <a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;timestamp)
          throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipPublication.html#send(java.lang.String%5B%5D,cern.dip.DipTimestamp)">DipPublication</a></code></span></div>
<div class="block">Sends publication data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipPublication.html#send(java.lang.String%5B%5D,cern.dip.DipTimestamp)">send</a></code>&nbsp;in interface&nbsp;<code><a href="../DipPublication.html" title="interface in cern.dip">DipPublication</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - - data to be sent.</dd>
<dd><code>timestamp</code> - - time data was obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DipPublicationImpBase.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
